"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuestionnaireMigrator = exports.QuestionnaireData = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
class QuestionnaireData extends VersionedObject_js_1.VersionedObject {
    constructor(id, status, questions, title, description, image) {
        super();
        this.id = id;
        this.status = status;
        this.questions = questions;
        this.title = title;
        this.description = description;
        this.image = image;
    }
    getVersion() {
        return QuestionnaireData.CURRENT_VERSION;
    }
}
exports.QuestionnaireData = QuestionnaireData;
QuestionnaireData.CURRENT_VERSION = 1;
class QuestionnaireMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return QuestionnaireData.CURRENT_VERSION;
    }
    factory(data) {
        return new QuestionnaireData(data.id, data.status, data.questions, data.title, data.description, data.image);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.QuestionnaireMigrator = QuestionnaireMigrator;
//# sourceMappingURL=QuestionnaireMigrator.js.map